%define mozver 37:1.8
%define seamonkeyver 1.0.9
ExclusiveArch: i386 x86_64 ppc

Summary:             API document browser
Name:                devhelp
Version:             0.10
Release:             0.8.el4
License:             GPL
Group:               Development/Tools
Url:                 http://ftp.gnome.org/pub/gnome/sources/devhelp/
Source:              %{name}-%{version}.rh.tar.gz
BuildRoot:           %{_tmppath}/%{name}-%{version}-root

Requires:            gtk2 >= 2.2.0
Requires:            libgnomeui >= 2.2.0
Requires:            gnome-vfs2 >= 2.2.0
Requires:            libglade2 >= 2.2.0
Requires:            seamonkey = %{seamonkeyver}
BuildRequires:       desktop-file-utils >= 0.3

BuildRequires:       gtk2-devel >= 2.2.0
BuildRequires:       libgnomeui-devel >= 2.2.0
BuildRequires:       gnome-vfs2-devel >= 2.2.0
BuildRequires:       libglade2-devel >= 2.2.0
BuildRequires:       seamonkey-devel = %{seamonkeyver}
BuildRequires:       intltool
BuildRequires:       gettext


%description
A API document browser for GNOME 2.

%package devel
Summary:             Library to embed Devhelp in other applications.
Group:               Development/Libraries
Requires:            %name = %{PACKAGE_VERSION}
Requires:            gtk2-devel >= 2.2.0
Requires:            libgnomeui-devel >= 2.2.0
Requires:            gnome-vfs2-devel >= 2.2.0

%description devel
Library of Devhelp for embedding into other applications.

%prep
%setup -q -n %{name}-%{version}.rh

%build

intltoolize
%configure

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix} install 
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome			\
  --delete-original					\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications		\
  --add-category X-Red-Hat-Base				\
  $RPM_BUILD_ROOT%{_datadir}/applications/devhelp.desktop

find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name "*.a" -exec rm -f {} ';'

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="devhelp.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README INSTALL

%{_bindir}/devhelp
#%{_bindir}/devhelp-bin
%{_libdir}/libdevhelp*.so.*

%{_datadir}/applications/*.desktop
%{_datadir}/devhelp
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/devhelp.mime
%{_datadir}/mime-info/devhelp.keys
%{_sysconfdir}/gconf/schemas/*.schemas

%files devel
%defattr(-,root,root)
%{_prefix}/include/devhelp-1.0
%{_libdir}/libdevhelp*.so
%{_libdir}/pkgconfig/*

%changelog
* Wed May 30 2007 Martin Stransky <stransky@redhat.com> 0.10-0.8.el4
- Rebuild against newer gecko

* Thu Feb 20 2007 Martin Stransky <stransky@redhat.com> 0.10-0.7.el4
- Rebuild against newer gecko

* Fri Dec 15 2006 Christopher Aillon <caillon@redhat.com> 0.10-0.6.el4
- Rebuild against newer gecko

* Mon Nov  6 2006 Christopher Aillon <caillon@redhat.com> 0.10-0.5.el4
- Rebuild against newer gecko

* Wed Sep 13 2006 Christopher Aillon <caillon@redhat.com> 0.10-0.4.el4
- Tweak dependencies

* Wed Sep 13 2006 Christopher Aillon <caillon@redhat.com> 0.10-0.3.el4
- Rebuild

* Tue Aug  1 2006 Christopher Aillon <caillon@redhat.com> 0.10-0.2.el4
- Rebuild

* Mon May 22 2006 Christopher Aillon <caillon@redhat.com> 0.10-0.1.el4
- Rebase to 0.10, to build against seamonkey.

* Fri Apr 14 2006 Christopher Aillon <caillon@redhat.com> 0.9.3-2.4.8
- Rebuild

* Wed Sep 21 2005 Christopher Aillon <caillon@redhat.com> 0.9.3-2.4.7
- Rebuild

* Wed Jul 20 2005 Christopher Aillon <caillon@redhat.com> 0.9.3-2.4.6
- Rebuild

* Mon May 23 2005 Christopher Aillon <caillon@redhat.com> 0.9.3-2.4.5
- Rebuild

* Tue Apr 19 2005 Christopher Aillon <caillon@redhat.com> 0.9.2-2.4.4
- Rebuild

* Tue Mar 22 2005 Christopher Aillon <caillon@redhat.com> 0.9.2-2.4.3
- Rebuild

* Thu Jan 27 2005 Christopher Aillon <caillon@redhat.com> 0.9.2-2.4.2
- Rebuild

* Wed Jan 26 2005 Christopher Aillon <caillon@redhat.com> 0.9.2-2.4.1
- Rebuild

* Mon Oct 11 2004 Christopher Aillon <caillon@redhat.com> 0.9.2-2
- Rebuild to add ppc once again.

* Wed Sep 29 2004 Christopher Aillon <caillon@redhat.com> 0.9.2-1
- Update to 0.9.2
- Remove accel patch; its upstreamed now.

* Sun Sep 26 2004 Christopher Blizzard <blizzard@redhat.com> 0.9.1-6
- Rebuild without explicit mozilla release

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> 0.9.1-5
- Rebuild with explicit Mozilla version requires

* Wed Sep 22 2004 Christopher Aillon <caillon@redhat.com> 0.9.1-4
- Rebuilt to pick up new mozilla changes
- Drop ppc from the build since mozilla doesn't build there anymore.

* Wed Aug 25 2004 Christopher Aillon <caillon@redhat.com> 0.9.1-3
- Add Johan Svedberg's patch to add accelerators for back and forward 

* Mon Aug 09 2004 Christopher Aillon <caillon@redhat.com>
- Rebuild

* Wed Aug 04 2004 Christopher Aillon <caillon@redhat.com>
- Update to 0.9.1
- Remove ld-library patch. It is upstream now.

* Wed Jun 23 2004 Christopher Aillon <caillon@redhat.com>
- Update ExclusiveArch

* Tue Jun 22 2004 Christopher Aillon <caillon@redhat.com>
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 21 2004 Colin Walters <walters@redhat.com> 0.9-3
- Update patch to avoid (unlikely) security issue noticed
  by Jeremy Katz.

* Mon Apr 15 2004 Colin Walters <walters@redhat.com> 0.9-2
- Apply patch from George Karabin <gkarabin@pobox.com> to
  export LD_LIBRARY_PATH (closes bug 120220).

* Fri Apr  2 2004 Mark McLoughlin <markmc@redhat.com> 0.9-1
- Update to 0.9
- Install the schemas correctly
- Package /usr/bin/devhelp-bin
- Update requires/buildrequires
- Only build on platforms where mozilla is available

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 0.8.1-1
- update to 0.8.1

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Dec  1 2003 Jonathan Blandford <jrb@redhat.com> 0.7.0-1
- new version
- Remove .la and .a files.

* Wed Jul 30 2003 Jonathan Blandford <jrb@redhat.com>
- remove original devhelp desktop file.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat May 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add find_lang
